#!/bin/bash
# Convert input video in a vp9/libvorbis mkv
#
# (c) LUG-VS (GPL)
VERSION="$(basename $0) Version 0.0.1 from 07.11.2019"
#
# Input:        VideoFile.mp4 (or other video container format like webm)
# Output:       VideoFile.mkv (convertet to vp9/libvorbis)
#
# Changes:
#       0.0.1:          generation
#

## If VideoFile  is first parameter
if [ $# -gt 0 ] && [ -e $1 ]; then
	filename=$(basename -- "$1")
#	extension="${filename##*.}"
	filename="${filename%.*}"
	ffmpeg -i $1 -c:v vp9 -c:a libvorbis ${filename}.mkv
else
	## Show help
	echo -e "** Konvertiert eine beliebige Videodatei in ein vp9/libvorbis mkv Kontainer. Benutzung: \n\t$(basename $0) <Videodatei>"
fi
